%global drupalver 7
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal7"
%global drupaldir %{_datadir}/%{drupal}
# Use upstream name as expressed in URL and tarball
%global modname date_ical

Name:    drupal%{drupalver}-%{modname}
Version: 2.8
Release: 1%{?dist}
Summary: Allows creation of an iCal feed in Views
Group:   Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: %{name}-LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  %{drupal} >= 7.0
Requires:  drupal7-date
Requires:  drupal7-entity
Requires:  drupal7-views >= 3.5

%description
This module contains code to create an iCal feed in Views.
It has been pulled out of the Calendar iCal module because
it has no dependency on Calendar and
it could be used on any view.
The code has also been generalized so that
it will work for any entity, not just nodes.
It creates an 'iCal' view mode for every entity type
that can be used to to configure the description
used in the iCal feed, and adds theme suggestions to
tell Drupal to look for an iCal version of the entity template.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} ./LICENSE.txt

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupaldir}/modules/%{modname}/'{}' \;


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Remember to include other documentation text here as well
%doc LICENSE.txt %{name}-fedora-README.txt CHANGELOG.txt README.txt
# Remember to exclude all documentation texts from above
%exclude %{drupaldir}/modules/%{modname}/LICENSE.txt
%exclude %{drupaldir}/modules/%{modname}/CHANGELOG.txt
%exclude %{drupaldir}/modules/%{modname}/README.txt
%exclude %{drupaldir}/modules/%{modname}/%{name}-fedora-README.txt
%{drupaldir}/modules/%{modname}

%changelog
* Wed Jun 12 2013 Peter Borsa <peter.borsa@gmail.com> - 2.8-1
- Update to upstream 2.8 release for bug fixes
- Upstream changelog for this release is avalble at http://drupal.org/node/2003618

* Thu Apr 25 2013 Jared Smith <jaredsmith@jaredsmith.net> - 2.7-1
- Update to upstream 2.7 release for bug fixes
- Upstream changelog for this release is avalble at http://drupal.org/node/1978108

* Thu Feb 28 2013 Jared Smith <jaredsmith@jaredsmith.net> - 2.6-1
- Update to upstream 2.6 release
- Upstream changelog for this release is avalble at http://drupal.org/node/1928594

* Wed Feb 13 2013 Jared Smith <jaredsmith@jaredsmith.net> - 2.5-1
- Update to upstream 2.5 release
- Add requires tag on drupal7-views >= 3.5, as this module depends on new
  functionality in views 3.5
- Upstream changelog for this release is available at http://drupal.org/node/1915436

* Tue Feb 05 2013 Jared Smith <jaredsmith@jaredsmith.net> - 2.4-1
- Update to upstream 2.4 release
- Upstream changelog for this release is available at http://drupal.org/node/1908020

* Tue Jan 29 2013 Jared Smith <jaredsmith@jaredsmith.net> - 2.3-1
- Update to upstream 2.3 release
- Upstream changelog for this release is available at http://drupal.org/node/1899324

* Thu Jan 24 2013 Jared Smith <jaredsmith@jaredsmith.net> - 2.2-1
- Update to upstream 2.2 release

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 28 2012 Peter Borsa <peter.borsa@gmail.com> - 1.1-1
- Initial Drupal 7 package
